<template>
    <ObModal
            ref="mapPopup"
            :title="dictionaryRu.modal.coordinates"
            :edit-form="false"
            custom-class="modal-large"
            :is-nested="true"
    >
        <slot></slot>
    </ObModal>
</template>

<script>
  import ObModal from "common-components/src/obComponents/obModal";
  import { dictionary } from '@/translations/ru/dictionaries__locations__locations_list';
    export default {
        name: "ModalMap",
        components: {
            ObModal,
        },
        data() {
            return {
                dictionaryRu: dictionary,
                visible: false,
            }
        },
        methods: {
            open () {
                this.$refs.mapPopup.open();
            },
            close () {
                this.$refs.mapPopup.close();
            },
        }
    }
</script>

<style lang="scss">
    .map-conteiner {
        width: calc(100vw - 80px);
        height: 600px;
    }
</style>